YUI AS Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class LegendItem

Package | com.yahoo.astra.fl.charts.legend
Class | public class LegendItem
Inheritance | LegendItem fl.core.UIComponent

An item displayed in a chart's Legend.

See also

com.yahoo.astra.fl.charts.legend.Legend

Public Properties

| Property | Defined by
--- | --- | ---
|  | data : LegendItemData The data used to display the legend item. | LegendItem

Public Methods

| Method | Defined by
--- | --- | ---
|  | LegendItem() Constructor. | LegendItem

Property detail

data | property

`data:LegendItemData` [read-write]

The data used to display the legend item.

Implementation
`public function get data():LegendItemData`
`public function set data(value:LegendItemData):void`
Constructor detail

LegendItem | () | constructor

`public function LegendItem()`

Constructor.